# Visualization
TKV3d
Visual3d

# Visual3d_PickDescriptor Class Reference

This class contains the pick information.
It contains a certain number of PickPaths.
.

`#include <Visual3d_PickDescriptor.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Visual3d_PickDescriptor (const Visual3d_ContextPick &CTX)
| Creates a PickDescriptor <me>. .
Standard_EXPORT void | AddPickPath (const Visual3d_PickPath &APickPath)
| Adds a PickPath to PickDescriptor <me>. .
Standard_EXPORT void | Clear ()
| Erases all the information in <me>. .
Standard_EXPORT Standard_Integer | Depth () const
| Returns the pick depth, that is the number of PickPaths available in the PickDescriptor. .
Standard_EXPORT Handle_Visual3d_HSequenceOfPickPath | PickPath () const
| Returns the group of PickPaths of <me>. .
Standard_EXPORT Handle_Graphic3d_Structure | TopStructure () const
| Returns the root structure. If the pick order was of the type TOO_TOPFIRST then it's the first structure. If the pick order was of the type TOO_BOTTOMFIRST Then it's the last structure. The pick order is set by the method SetOrder from ContextPick. Category: Inquire methods Warning: Raises PickError if Depth == 0 (no picked structure). .
Standard_EXPORT Standard_Integer | TopPickId () const
| Returns the root structure pickid. If the pick order was of the type TOO_TOPFIRST then it's the first pickid. If the pick order was of the type TOO_BOTTOMFIRST then it's the last pickid. The pick order is set by the method SetOrder from ContextPick. Category: Inquire methods Warning: Raises PickError if Depth == 0 (no picked structure). .
Standard_EXPORT Standard_Integer | TopElementNumber () const
| Returns the root structure element number. If the pick order was of the type TOO_TOPFIRST then it's the first element number. If the pick order was of the type TOO_BOTTOMFIRST then it's the last element number. The pick order is set by the method SetOrder from ContextPick. Category: Inquire methods Warning: Raises PickError if Depth == 0 (no picked structure). .

## Private Attributes

Handle_Visual3d_HSequenceOfPickPath | MyPickPathSequence
Visual3d_ContextPick | MyContext

## Constructor & Destructor Documentation

Standard_EXPORT Visual3d_PickDescriptor::Visual3d_PickDescriptor | ( | const Visual3d_ContextPick & | CTX | ) |

## Member Function Documentation

Standard_EXPORT void Visual3d_PickDescriptor::AddPickPath | ( | const Visual3d_PickPath & | APickPath | ) |

Standard_EXPORT void Visual3d_PickDescriptor::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer Visual3d_PickDescriptor::Depth | ( |  | ) | const

void Visual3d_PickDescriptor::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Visual3d_PickDescriptor::operator new | ( | size_t | size | ) | `[inline]`

void* Visual3d_PickDescriptor::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_Visual3d_HSequenceOfPickPath Visual3d_PickDescriptor::PickPath | ( |  | ) | const

Standard_EXPORT Standard_Integer Visual3d_PickDescriptor::TopElementNumber | ( |  | ) | const

Standard_EXPORT Standard_Integer Visual3d_PickDescriptor::TopPickId | ( |  | ) | const

Standard_EXPORT Handle_Graphic3d_Structure Visual3d_PickDescriptor::TopStructure | ( |  | ) | const

## Field Documentation

Visual3d_ContextPick Visual3d_PickDescriptor::MyContext `[private]`

Handle_Visual3d_HSequenceOfPickPath Visual3d_PickDescriptor::MyPickPathSequence `[private]`

The documentation for this class was generated from the following file:

- Visual3d_PickDescriptor.hxx